Index: /trunk/adm/guides/html.xsl
===================================================================
--- /trunk/adm/guides/html.xsl	(revision 3)
+++ /trunk/adm/guides/html.xsl	(revision 3)
@@ -0,0 +1,50 @@
+<?xml version='1.0' encoding='ISO-8859-1'?> 
+<xsl:stylesheet
+version="1.0"
+xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+<!--
+module :
+transformation docbook en un html
+
+source :
+/usr/home/fplod/incas/amsu/amsu_ws/adm/guides/html.xsl sur aedon.locean-ipsl.upmc.fr
+
+update
+$Id$
+fplod 2008-10-13T09:15:33Z aedon.locean-ipsl.upmc.fr (Darwin)
+-->
+
+<!--
+<xsl:import href="http://docbook.sourceforge.net/release/xsl/current/xhtml/docbook.xsl"/>
+-->
+<xsl:import href="http://docbook.sourceforge.net/release/xsl/1.73.2/xhtml/docbook.xsl"/>
+
+
+<xsl:output method="xml"
+encoding="utf-8"
+indent="yes"
+omit-xml-declaration="no"
+doctype-public="-//W3C//DTD XHTML 1.1 plus MathML 2.0 plus SVG 1.1//EN"
+doctype-system="http://www.w3.org/2002/04/xhtml-math-svg/xhtml-math-svg.dtd"/>
+
+<xsl:template match="pubdate">
+  <span class="{name(.)}">
+    <xsl:text>svn Id of xml source file : </xsl:text>
+    <xsl:apply-templates/>
+    <br/>
+    <br/>
+  </span>
+</xsl:template>
+
+<xsl:template name="user.head.content">
+<!-- pour palier au manque de xsl:output -->
+<meta>
+ <xsl:attribute name="http-equiv">Content-Type</xsl:attribute>
+ <xsl:attribute name="content">text/html; charset=utf-8</xsl:attribute>
+</meta>
+ <meta name="robots">
+  <xsl:attribute name="content">noindex,nofollow,noarchive</xsl:attribute>
+ </meta>
+</xsl:template>
+
+</xsl:stylesheet>
Index: /trunk/adm/guides/ircaam.css
===================================================================
--- /trunk/adm/guides/ircaam.css	(revision 3)
+++ /trunk/adm/guides/ircaam.css	(revision 3)
@@ -0,0 +1,13 @@
+/*
+This CSS file contains specific choices of look and feel of AMSU 
+documentation.
+One can overwrite here choices made in style.css (a quiet beautifull
+CSS configuration set for dookbook found on the web
+
+update :
+$Id$
+
+fplod 2008-10-13T09:16:17Z aedon.locean-ipsl.upmc.fr (Darwin)
+creation empty
+*/
+
Index: /trunk/adm/guides/makefile
===================================================================
--- /trunk/adm/guides/makefile	(revision 3)
+++ /trunk/adm/guides/makefile	(revision 3)
@@ -0,0 +1,418 @@
+#-
+# module
+# ======
+# generation of documentations from XML files in HTML and wiki forms
+#
+#
+# FILES
+# =====
+#
+# original location
+# ~~~~~~~~~~~~~~~~~
+#
+# /usr/home/fplod/incas/ircaam/ircaam_ws/adm/guides/makefile sur aedon.locean-ipsl.upmc.fr
+#
+# EVOLUTIONS
+# ==========
+#
+# $Id$
+#
+# -  fplod 2008-12-03T18:05:28Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#   * creation
+#-
+PRODUCT = \
+ircaam
+
+DIRBASE = \
+/usr/home/fplod/incas/$(PRODUCT)/$(PRODUCT)_ws/
+
+
+DIRSRC = \
+$(DIRBASE)/adm/guides/
+
+DIRTMP = \
+./
+
+DIRWWW = \
+/usr/temp/${LOGNAME}/public_html/$(PRODUCT)/$(PRODUCT)_ws/doc/guides/
+
+DIRWIKI = \
+$(DIRWWW)/wiki/
+
+.PHONY : \
+all \
+clean \
+before \
+dbkcheck \
+help \
+html \
+tracwiki
+
+help :
+	@echo "\$$ make clean"
+	@echo "\$$ make before"
+	@echo "\$$ make all"
+	@echo "\$$ make dbkcheck"
+	@echo "++ check link"
+	@echo "++ depot html et wiki"
+
+before :
+	@mkdir -p ${DIRWWW}/html/
+	@cp -p $(DIRSRC)/style.css ${DIRWWW}/html/
+	@cp -p $(DIRSRC)/$(PRODUCT).css ${DIRWWW}/html/
+	@mkdir -p ${DIRWWW}/wiki
+
+clean :
+	-@rm -f $(DIRTMP)/*_full.xml
+	-@rm -f $(DIRTMP)/err_xmlstarlet_xsd
+	-@rm -f $(DIRTMP)/get_sed.xml
+	-@rm -f $(DIRTMP)/firststeps_sed.xml
+
+dbkcheck :
+	@-rm $(DIRTMP)/err_xmlstarlet_xsd 2> /dev/null
+	@for file in $(DIRTMP)/*_full.xml; do \
+	xml val --err \
+	--xsd http://www.docbook.org/xml/5.0/xsd/docbook.xsd \
+	$${file} 1>> $(DIRTMP)/err_xmlstarlet_xsd 2>&1; done
+	@echo "check for valid diag for each file in $(DIRTMP)/err_xmlstarlet_xsd"
+
+all : \
+html \
+tracwiki
+
+html : \
+$(DIRWWW)/html/svnbasiccommands.html \
+$(DIRWWW)/html/index.html
+
+tracwiki : \
+$(DIRWIKI)/SvnBasicCommands \
+$(DIRWIKI)/WikiStart
+	@echo "Do not forget to import wiki pages"
+	@echo "\$$ ssh $(PRODUCT)@forge.ipsl.jussieu.fr mkdir -p /tmp/$(PRODUCT)/"
+	@echo "\$$ rsync -av --exclude=".DS_Store" --exclude=".svn" $(DIRWIKI) $(PRODUCT)@forge.ipsl.jussieu.fr:/tmp/$(PRODUCT)/"
+	@echo "\$$ ssh $(PRODUCT)@forge.ipsl.jussieu.fr trac-admin /ipsl/forge/projets/$(PRODUCT)/trac wiki load /tmp/$(PRODUCT)/"
+
+	@echo "\$$ ssh $(PRODUCT)@forge.ipsl.jussieu.fr rmdir -f /tmp/$(PRODUCT)/"
+
+$(DIRWIKI)/WikiStart : \
+$(DIRSRC)/tracwiki.xsl \
+$(DIRTMP)/web_full.xml
+	@xsltproc \
+	$(DIRSRC)/tracwiki.xsl \
+	$(DIRTMP)/web_full.xml | \
+	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
+	sed -e "s+@star@+ *+" \
+	> $@
+
+$(DIRWWW)/html/index.html : \
+$(DIRTMP)/web_full.xml \
+$(DIRSRC)/html.xsl \
+$(DIRSRC)/style.css \
+$(DIRSRC)/$(PRODUCT).css
+	@xsltproc \
+	--param html.stylesheet "'style.css $(PRODUCT).css'" \
+	--param css.decoration 1 \
+	--param section.autolabel 1 \
+	--output $@ \
+	$(DIRSRC)/html.xsl \
+	$(DIRTMP)/web_full.xml
+
+$(DIRTMP)/web_full.xml : \
+$(DIRSRC)/web.xml
+	@xmllint \
+	--xinclude \
+	--encode utf-8 \
+	--noent \
+	--output $@ \
+	$(DIRSRC)/web.xml
+
+$(DIRWIKI)/SvnBasicCommands : \
+$(DIRSRC)/tracwiki.xsl \
+$(DIRTMP)/svnbasiccommands_full.xml
+	@xsltproc \
+	$(DIRSRC)/tracwiki.xsl \
+	$(DIRTMP)/svnbasiccommands_full.xml | \
+	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
+	sed -e "s+@star@+*+" \
+	> $@
+
+$(DIRWWW)/html/svnbasiccommands.html : \
+$(DIRTMP)/svnbasiccommands_full.xml \
+$(DIRSRC)/html.xsl \
+$(DIRSRC)/style.css \
+$(DIRSRC)/$(PRODUCT).css
+	@xsltproc \
+	--param html.stylesheet "'style.css $(PRODUCT).css'" \
+	--param css.decoration 1 \
+	--param section.autolabel 1 \
+	--output $@ \
+	$(DIRSRC)/html.xsl \
+	$(DIRTMP)/svnbasiccommands_full.xml
+
+$(DIRTMP)/svnbasiccommands_full.xml : \
+$(DIRSRC)/svnbasiccommands.xml
+	@xmllint \
+	--xinclude \
+	--encode utf-8 \
+	--noent \
+	--output $@ \
+	$(DIRSRC)/svnbasiccommands.xml
+
+$(DIRWIKI)/Faq : \
+$(DIRSRC)/tracwiki.xsl \
+$(DIRTMP)/faq_full.xml
+	@xsltproc \
+	$(DIRSRC)/tracwiki.xsl \
+	$(DIRTMP)/faq_full.xml | \
+	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
+	sed -e "s+@star@+*+" \
+	> $@
+
+$(DIRWWW)/html/faq.html : \
+$(DIRTMP)/faq_full.xml \
+$(DIRSRC)/html.xsl \
+$(DIRSRC)/style.css \
+$(DIRSRC)/$(PRODUCT).css
+	@xsltproc \
+	--param html.stylesheet "'style.css $(PRODUCT).css'" \
+	--param css.decoration 1 \
+	--param section.autolabel 1 \
+	--output $@ \
+	$(DIRSRC)/html.xsl \
+	$(DIRTMP)/faq_full.xml
+
+$(DIRTMP)/faq_full.xml : \
+$(DIRSRC)/faq.xml
+	@xmllint \
+	--xinclude \
+	--encode utf-8 \
+	--noent \
+	--output $@ \
+	$(DIRSRC)/faq.xml
+
+$(DIRWIKI)/Get : \
+$(DIRSRC)/tracwiki.xsl \
+$(DIRTMP)/get_full.xml
+	@xsltproc \
+	$(DIRSRC)/tracwiki.xsl \
+	$(DIRTMP)/get_full.xml | \
+	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
+	sed -e "s+@star@+*+" \
+	> $@
+
+$(DIRWWW)/html/get.html : \
+$(DIRTMP)/get_full.xml \
+$(DIRSRC)/html.xsl \
+$(DIRSRC)/style.css \
+$(DIRSRC)/$(PRODUCT).css
+	@xsltproc \
+	--param html.stylesheet "'style.css $(PRODUCT).css'" \
+	--param css.decoration 1 \
+	--param section.autolabel 1 \
+	--output $@ \
+	$(DIRSRC)/html.xsl \
+	$(DIRTMP)/get_full.xml
+
+$(DIRTMP)/get_full.xml : \
+$(DIRSRC)/get.xml \
+$(DIRSRC)/get_pre.sh
+	@$(DIRSRC)/get_pre.sh
+	@xmllint \
+	--xinclude \
+	--encode utf-8 \
+	--noent \
+	--output $@ \
+	$(DIRTMP)/get_sed.xml
+
+$(DIRWIKI)/FirstSteps : \
+$(DIRSRC)/tracwiki.xsl \
+$(DIRTMP)/firststeps_full.xml
+	@xsltproc \
+	$(DIRSRC)/tracwiki.xsl \
+	$(DIRTMP)/firststeps_full.xml | \
+	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
+	sed -e "s+@star@+*+" \
+	> $@
+
+$(DIRWWW)/html/firststeps.html : \
+$(DIRTMP)/firststeps_full.xml \
+$(DIRSRC)/html.xsl \
+$(DIRSRC)/style.css \
+$(DIRSRC)/$(PRODUCT).css
+	@xsltproc \
+	--param html.stylesheet "'style.css $(PRODUCT).css'" \
+	--param css.decoration 1 \
+	--param section.autolabel 1 \
+	--output $@ \
+	$(DIRSRC)/html.xsl \
+	$(DIRTMP)/firststeps_full.xml
+
+$(DIRTMP)/firststeps_full.xml : \
+$(DIRSRC)/firststeps.xml
+	@xmllint \
+	--xinclude \
+	--encode utf-8 \
+	--noent \
+	--output $@ \
+	$(DIRSRC)/firststeps.xml
+
+$(DIRWIKI)/Mailing : \
+$(DIRSRC)/tracwiki.xsl \
+$(DIRTMP)/mailing_full.xml
+	@xsltproc \
+	$(DIRSRC)/tracwiki.xsl \
+	$(DIRTMP)/mailing_full.xml | \
+	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
+	sed -e "s+@star@+*+" \
+	> $@
+
+$(DIRWWW)/html/mailing.html : \
+$(DIRTMP)/mailing_full.xml \
+$(DIRSRC)/html.xsl \
+$(DIRSRC)/style.css \
+$(DIRSRC)/$(PRODUCT).css
+	@xsltproc \
+	--param html.stylesheet "'style.css $(PRODUCT).css'" \
+	--param css.decoration 1 \
+	--param section.autolabel 1 \
+	--output $@ \
+	$(DIRSRC)/html.xsl \
+	$(DIRTMP)/mailing_full.xml
+
+$(DIRTMP)/mailing_full.xml : \
+$(DIRSRC)/mailing.xml
+	@xmllint \
+	--xinclude \
+	--encode utf-8 \
+	--noent \
+	--output $@ \
+	$(DIRSRC)/mailing.xml
+
+$(DIRWIKI)/TipLink : \
+$(DIRSRC)/tracwiki.xsl \
+$(DIRTMP)/tiplink_full.xml
+	@xsltproc \
+	$(DIRSRC)/tracwiki.xsl \
+	$(DIRTMP)/tiplink_full.xml | \
+	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
+	sed -e "s+@star@+*+" \
+	> $@
+
+$(DIRWWW)/html/tiplink.html : \
+$(DIRTMP)/tiplink_full.xml \
+$(DIRSRC)/html.xsl \
+$(DIRSRC)/style.css \
+$(DIRSRC)/$(PRODUCT).css
+	@xsltproc \
+	--param html.stylesheet "'style.css $(PRODUCT).css'" \
+	--param css.decoration 1 \
+	--param section.autolabel 1 \
+	--output $@ \
+	$(DIRSRC)/html.xsl \
+	$(DIRTMP)/tiplink_full.xml
+
+$(DIRTMP)/tiplink_full.xml : \
+$(DIRSRC)/tiplink.xml
+	@xmllint \
+	--xinclude \
+	--encode utf-8 \
+	--noent \
+	--output $@ \
+	$(DIRSRC)/tiplink.xml
+
+$(DIRWIKI)/Whatis : \
+$(DIRSRC)/tracwiki.xsl \
+$(DIRTMP)/whatis_full.xml
+	@xsltproc \
+	$(DIRSRC)/tracwiki.xsl \
+	$(DIRTMP)/whatis_full.xml | \
+	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
+	sed -e "s+@star@+*+" \
+	> $@
+
+$(DIRWWW)/html/whatis.html : \
+$(DIRTMP)/whatis_full.xml \
+$(DIRSRC)/html.xsl \
+$(DIRSRC)/style.css \
+$(DIRSRC)/$(PRODUCT).css
+	@xsltproc \
+	--param html.stylesheet "'style.css $(PRODUCT).css'" \
+	--param css.decoration 1 \
+	--param section.autolabel 1 \
+	--output $@ \
+	$(DIRSRC)/html.xsl \
+	$(DIRTMP)/whatis_full.xml
+
+$(DIRTMP)/whatis_full.xml : \
+$(DIRSRC)/whatis.xml
+	@xmllint \
+	--xinclude \
+	--encode utf-8 \
+	--noent \
+	--output $@ \
+	$(DIRSRC)/whatis.xml
+
+$(DIRWIKI)/WhatsNew : \
+$(DIRSRC)/tracwiki.xsl \
+$(DIRTMP)/whatsnew_full.xml
+	@xsltproc \
+	$(DIRSRC)/tracwiki.xsl \
+	$(DIRTMP)/whatsnew_full.xml | \
+	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
+	sed -e "s+@star@+*+" \
+	> $@
+
+$(DIRWWW)/html/whatsnew.html : \
+$(DIRTMP)/whatsnew_full.xml \
+$(DIRSRC)/html.xsl \
+$(DIRSRC)/style.css \
+$(DIRSRC)/$(PRODUCT).css
+	@xsltproc \
+	--param html.stylesheet "'style.css $(PRODUCT).css'" \
+	--param css.decoration 1 \
+	--param section.autolabel 1 \
+	--output $@ \
+	$(DIRSRC)/html.xsl \
+	$(DIRTMP)/whatsnew_full.xml
+	
+$(DIRTMP)/whatsnew_full.xml : \
+$(DIRSRC)/whatsnew.xml
+	@xmllint \
+	--xinclude \
+	--encode utf-8 \
+	--noent \
+	--output $@ \
+	$(DIRSRC)/whatsnew.xml
+
+$(DIRWIKI)/Update : \
+$(DIRSRC)/tracwiki.xsl \
+$(DIRTMP)/update_full.xml
+	@xsltproc \
+	$(DIRSRC)/tracwiki.xsl \
+	$(DIRTMP)/update_full.xml | \
+	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
+	sed -e "s+@star@+*+" \
+	> $@
+
+$(DIRWWW)/html/update.html : \
+$(DIRTMP)/update_full.xml \
+$(DIRSRC)/html.xsl \
+$(DIRSRC)/style.css \
+$(DIRSRC)/$(PRODUCT).css
+	@xsltproc \
+	--param html.stylesheet "'style.css $(PRODUCT).css'" \
+	--param css.decoration 1 \
+	--param section.autolabel 1 \
+	--output $@ \
+	$(DIRSRC)/html.xsl \
+	$(DIRTMP)/update_full.xml
+	
+$(DIRTMP)/update_full.xml : \
+$(DIRSRC)/update.xml
+	@xmllint \
+	--xinclude \
+	--encode utf-8 \
+	--noent \
+	--output $@ \
+	$(DIRSRC)/update.xml
Index: /trunk/adm/guides/style.css
===================================================================
--- /trunk/adm/guides/style.css	(revision 3)
+++ /trunk/adm/guides/style.css	(revision 3)
@@ -0,0 +1,331 @@
+/* Feuille de style DocBook du projet Traduc.org                */
+/* DocBook CSS stylesheet of the Traduc.org project             */
+
+/* (c) Jean-Philippe Guérard - 14 août 2004                     */
+/* (c) Jean-Philippe Guérard - 14 August 2004                   */
+
+/* Cette feuille de style est libre, vous pouvez la             */
+/* redistribuer et la modifier selon les termes de la Licence   */
+/* Art Libre. Vous trouverez un exemplaire de cette Licence sur */
+/* http://tigreraye.org/Petit-guide-du-traducteur.html#licence-art-libre */
+
+/* This work of art is free, you can redistribute it and/or     */
+/* modify it according to terms of the Free Art license. You    */
+/* will find a specimen of this license on the Copyleft         */
+/* Attitude web site: http://artlibre.org as well as on other   */
+/* sites.                                                       */
+/* Please note that the French version of this licence as shown */
+/* on http://tigreraye.org/Petit-guide-du-traducteur.html#licence-art-libre */
+/* is only official licence of this document. The English       */
+/* is only provided to help you understand this licence.        */
+
+/* La dernière version de cette feuille de style est toujours   */
+/* disponible sur : http://tigreraye.org/style.css              */
+/* Elle est également disponible sur :                          */
+/* http://www.traduc.org/docs/HOWTO/lecture/style.css           */
+
+/* The latest version of this stylesheet is available from:     */
+/* http://tigreraye.org/style.css                               */
+/* It is also available on:                                     */
+/* http://www.traduc.org/docs/HOWTO/lecture/style.css           */
+
+/* N'hésitez pas à envoyer vos commentaires et corrections à    */
+/* Jean-Philippe Guérard <jean-philippe.guerard@tigreraye.org>  */
+
+/* Please send feedback and bug reports to                      */
+/* Jean-Philippe Guérard <jean-philippe.guerard@tigreraye.org>  */
+
+/* $Id$ */
+
+/* Présentation générale du document */
+/* Overall document presentation */
+
+body {
+    font-family: serif ;
+    margin: 7%;
+    background-color: white;
+}
+
+/* Taille du texte */
+/* Text size */
+
+* { font-size: 100%; }
+
+/* Gestion des textes mis en relief imbriqués */
+/* Embedded emphasis */
+
+em { font-style: italic; }
+i { font-style: italic; }
+
+em em { font-style: normal; }
+i  i  { font-style: normal; }
+i  em { font-style: normal; }
+em i  { font-style: normal; }
+
+em em em { font-style: italic; }
+em em i  { font-style: italic; }
+em i  em { font-style: italic; }
+em i  i  { font-style: italic; }
+i  em em { font-style: italic; }
+i  em i  { font-style: italic; }
+i  i  em { font-style: italic; }
+i  i  i  { font-style: italic; }
+
+/* Titres */
+/* Titles */
+
+h1 { font-size: 200%; font-weight: 900; }
+h2 { font-size: 160%; font-weight: 900; }
+h3 { font-size: 130%; font-weight: bold; }
+h4 { font-size: 115%; font-weight: bold; }
+h5 { font-size: 108%; font-weight: bold; }
+h6 {                  font-weight: bold; }
+
+/* Nom de famille en petites majuscules (uniquement en français) */
+/* Last names in small caps (for French only) */
+
+*[class~="surname"]:lang(fr) { font-variant: small-caps; }
+
+/* Historique des révision */
+/* Revision History */
+
+div[class~="revhistory"] > table {
+  border: solid 1px #AAA;
+  background: #f0f0f0;
+}
+
+div[class~="revhistory"] > table td {
+  border: solid 1px #AAA;
+}
+
+/* Blocs de citation */
+/* Quotation blocs */
+
+div[class~="blockquote"] {
+  border: none;
+}
+
+div[class~="blockquote"] > table {
+  border: none;
+}
+
+/* Blocs litéraux : fond gris clair */
+/* Literal blocs: light gray background */
+
+*[class~="literallayout"] {
+  background: #f0f0f0;
+  padding: 5px;
+  margin: 5px;
+}
+
+/* Programmes et captures texte : fond bleu clair */
+/* Listing and text screen snapshots: light blue background */
+
+*[class~="programlisting"], *[class~="screen"] {
+  background: #f0f0ff;
+  padding: 5px;
+  margin: 5px;
+}
+
+/* Les textes à remplacer sont surlignés en vert pâle */
+/* Replaceable text in highlighted in pale green */
+
+*[class~="replaceable"] { 
+    background-color: #98fb98;
+    font-style: normal; }
+
+/* Tables : fonds gris clair & bords simples */
+/* Tables: light gray background and solid borders */
+
+*[class~="table"] *[class~="title"] { width:100%; border: 0px; }
+
+table {
+    border: 1px solid #aaa;
+    border-collapse: collapse;
+    padding: 2px;
+    margin: 5px;
+}
+
+/* Listes simples en style table */
+/* Simples lists in table presentation */
+
+table[class~="simplelist"] {
+    background-color: #F0F0F0;
+    margin: 5px;
+    border: solid 1px #AAA;
+}
+
+table[class~="simplelist"] td {
+    border: solid 1px #AAA;
+}
+
+/* Les tables */
+/* Tables */
+
+*[class~="table"] table {
+    background-color: #F0F0F0;
+    border: solid 1px #AAA;
+}
+*[class~="informaltable"] table { background-color: #F0F0F0; }
+
+th,td {
+    vertical-align: baseline;
+    text-align: left;
+    padding: 0.1em 0.3em;
+    empty-cells: show; 
+}
+
+/* Alignement des colonnes */
+/* Colunms alignment */
+
+td[align=center] ,  th[align=center]  { text-align: center; }
+td[align=right] ,   th[align=right]   { text-align: right; }
+td[align=left] ,    th[align=left]    { text-align: left; }
+td[align=justify] , th[align=justify] { text-align: justify; }
+
+/* Pas de marge autour des images */
+/* No inside margins for images */
+
+img { border: 0; }
+
+/* Les liens ne sont pas soulignés */
+/* No underlines for links */
+
+:link , :visited , :active { text-decoration: none; }
+
+/* Prudence : cadre jaune et fond jaune clair */
+/* Caution: yellow border and light yellow background */
+
+*[class~="caution"] {
+    border: solid 2px yellow;
+    background-color: #ffffe0;
+    padding: 5px 1em;
+    margin: 5px;
+}
+
+*[class~="caution"] th {
+    vertical-align: middle
+}
+
+*[class~="caution"] table {
+    background-color: #ffffe0;
+    border: none;
+}
+
+pre + div[class~="caution"] {
+    margin-top: +1.5em;
+}
+
+/* Note importante : cadre jaune et fond jaune clair */
+/* Important: yellow border and light yellow background */
+
+*[class~="important"] {
+    border: solid 2px yellow;
+    background-color: #ffffe0;
+    padding: 5px 1em;
+    margin: 5px;
+}
+
+*[class~="important"] th {
+    vertical-align: middle
+}
+
+*[class~="important"] table  {
+    background-color: #ffffe0;
+    border: none;
+}
+
+pre + div[class~="important"] {
+    margin-top: +1.5em;
+}
+
+
+/* Mise en évidence : texte légèrement plus grand */
+/* Highlights: slightly larger texts */
+
+*[class~="highlights"] {
+    font-size:  110%;
+}
+
+/* Note : cadre bleu et fond bleu clair */
+/* Notes: blue border and light blue background */
+
+*[class~="note"]   {
+    border: solid 2px #7099C5;
+    background-color: #f0f0ff;
+    padding: 5px 1em;
+    margin: 5px;
+}
+
+*[class~="note"] th {
+    vertical-align: middle
+}
+
+*[class~="note"] table {
+    background-color: #f0f0ff;
+    border: none;
+}
+
+pre + div[class~="note"] {
+    margin-top: +1.5em;
+}
+
+/* Astuce : cadre vert et fond vert clair */
+/* Tip: green border and light green background */
+
+*[class~="tip"] {
+    border: solid 2px #00ff00;
+    background-color: #f0ffff;
+    padding: 5px 1em;
+    margin: 5px;
+}
+
+*[class~="tip"] th {
+    vertical-align: middle;
+}
+
+*[class~="tip"] table {
+    background-color: #f0ffff;
+    border: none;
+}
+
+pre + div[class~="tip"] {
+    margin-top: +1.5em;
+}
+
+/* Avertissement : cadre rouge et fond rouge clair */
+/* Warning: red border and light red background */
+
+*[class~="warning"] {
+    border: solid 2px #ff0000;
+    background-color: #fff0f0; 
+    padding: 5px 1em;
+    margin: 5px;
+}
+
+*[class~="warning"] th {
+    vertical-align: middle;
+}
+                    
+
+*[class~="warning"] table {
+    background-color: #fff0f0;
+    border: none;
+}
+
+pre + div[class~="warning"] {
+    margin-top: +1.5em;
+}
+
+
+/* Listes de renvois */
+/* Callout lists */
+
+*[class~="calloutlist"] table {
+    background-color: #e0e0ee;
+    border: none;
+}
+
+/* Fin */
+/* The End */
+
Index: /trunk/adm/guides/svnbasiccommands.xml
===================================================================
--- /trunk/adm/guides/svnbasiccommands.xml	(revision 3)
+++ /trunk/adm/guides/svnbasiccommands.xml	(revision 3)
@@ -0,0 +1,251 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+<!DOCTYPE article [
+<!ENTITY % isolat1 SYSTEM "http://www.w3.org/2003/entities/iso8879/isolat1.ent">
+%isolat1;
+<!ENTITY % isolat2 SYSTEM "http://www.w3.org/2003/entities/iso8879/isolat2.ent">
+%isolat2;
+<!ENTITY % isogrk3 SYSTEM "http://www.w3.org/2003/entities/iso8879/isogrk3.ent">
+%isogrk3;
+<!ENTITY % isopub SYSTEM "http://www.w3.org/2003/entities/iso8879/isopub.ent">
+%isopub;
+<!ENTITY % isotech SYSTEM "http://www.w3.org/2003/entities/iso8879/isotech.ent">
+%isotech;
+<!ENTITY % isonum SYSTEM "http://www.w3.org/2003/entities/iso8879/isonum.ent">
+%isonum;
+<!ENTITY project "ircaam">
+]>
+<!--
+
+
+/usr/home/fplod/incas/ircaam/ircaam_ws/adm/guides/svnbasiccommands.xml sur aedon.locean-ipsl.upmc.fr
+
+fplod 2008-12-03T17:36:01Z aedon.locean-ipsl.upmc.fr (Darwin)
+
+XML/DocBook migration of http://forge.ipsl.jussieu.fr/statpacksaxo/wiki/SvnBasicCommands from Sébastien Masson
+
+-->
+<article version="5.0"
+xmlns="http://docbook.org/ns/docbook"
+xmlns:xl="http://www.w3.org/1999/xlink"
+xml:lang="en">
+<title><command>svn</command> basic commands</title>
+  <info>
+    <authorgroup>
+      <author><personname><firstname>Sébastien</firstname> <surname>Masson</surname></personname> <email>Sebastien.Masson_at_locean-ipsl.upmc.fr</email></author>
+    </authorgroup>
+ <pubdate>$Id</pubdate>
+</info>
+
+<sect1 xml:id="help">
+<title><command>svn</command> help</title>
+<para>
+<screen>
+ <prompt>$</prompt> <userinput>svn help</userinput>
+</screen>
+</para>
+
+<para>
+Help on a specific command (for example <command>add</command>):
+
+<screen>
+ <prompt>$</prompt> <userinput>svn help add </userinput>
+</screen>
+</para>
+
+</sect1>
+<sect1 xml:id="download">
+<title>Download &project;</title>
+
+<para>
+To download &project; in the directory <filename class="directory">~/&project;</filename> execute (with the appropriate login)
+
+<screen>
+ <prompt>$</prompt> <userinput>svn co svn+ssh://<replaceable>YOUR_LOGIN</replaceable>@forge.ipsl.jussieu.fr/ipsl/forge/projets/&project;/svn/trunk ~/&project;</userinput>
+</screen>
+</para>
+</sect1>
+
+<sect1 xml:id="update">
+<title>Update &project;</title>
+
+<para>
+To update everything, go to the directory where you installed &project; (for example <filename class="directory">~/&project;</filename>) and execute
+
+<screen>
+ <prompt>$</prompt> <userinput>svn update</userinput>
+</screen>
+</para>
+
+<para>
+You can also specify &project; when calling svn update, for example:
+
+<screen>
+ <prompt>$</prompt> <userinput>svn update ~/&project;</userinput>
+</screen>
+</para>
+
+<para>
+Or you can specify one or several files you want to update
+
+<screen>
+ <prompt>$</prompt> <userinput>svn update ~/&project;/src/*.m</userinput>
+</screen>
+</para>
+
+</sect1>
+<sect1 xml:id="compare">
+<title>Compare your version with the reference deposit</title>
+<para>
+To compare your version with the reference deposit as it was at the time you download (or updated) &project;, execute:
+
+<screen>
+ <prompt>$</prompt> <userinput>svn status</userinput>
+</screen>
+</para>
+
+<para>
+To compare your version with the latest version of the reference deposit, execute:
+
+<screen>
+ <prompt>$</prompt> <userinput>svn status -u</userinput>
+</screen>
+</para>
+
+</sect1>
+<sect1 xml:id="addfile">
+<title>Add a new file</title>
+
+<para>
+Add a new file to &project;
+
+<screen>
+ <prompt>$</prompt> <userinput>svn add <replaceable>file_name</replaceable></userinput>
+</screen>
+</para>
+
+<para>
+For example, directly
+
+<screen>
+ <prompt>$</prompt> <userinput>touch aaa</userinput> <lineannotation>create a <filename>aaa</filename> file</lineannotation>
+ <prompt>$</prompt> <userinput>ls -l aaa</userinput>
+<computeroutput>
+-rw-r--r-- 1 smasson lodyc 0 Oct 29 09:59 aaa
+</computeroutput>
+ <prompt>$</prompt> <userinput>svn status</userinput> <lineannotation>check your deposit, <filename>aaa</filename> file is signaled as unknown</lineannotation>
+<computeroutput>
+?      aaa
+</computeroutput>
+ <prompt>$</prompt> <userinput>svn add aaa</userinput> <lineannotation>add <filename>aaa</filename> file to the svn deposit</lineannotation>
+
+<computeroutput>
+A         aaa
+</computeroutput>
+ <prompt>$</prompt> <userinput>svn status</userinput> <lineannotation>check that <filename>aaa</filename> has beed add to the deposit</lineannotation>
+<computeroutput>
+A      aaa
+</computeroutput>
+</screen>
+</para>
+
+</sect1>
+<sect1 xml:id="createdir">
+<title>Create a directory file</title>
+<para>
+<screen>
+ <prompt>$</prompt> <userinput>svn mkdir <replaceable>directory_name</replaceable></userinput>
+</screen>
+</para>
+
+<para>
+For example:
+
+<screen>
+ <prompt>$</prompt> <userinput>svn mkdir AAA</userinput> <lineannotation>create the directory and add it to the svn deposit in one unique command</lineannotation>
+<computeroutput>
+A         AAA
+</computeroutput>
+</screen>
+</para>
+
+<para>
+or
+
+<screen>
+ <prompt>$</prompt> <userinput>mkdir AAA</userinput> <lineannotation>create the directory</lineannotation>
+ <prompt>$</prompt> <userinput>svn status</userinput> <lineannotation>check your deposit, <filename class="directory">AAA</filename> is signaled as unknown</lineannotation>
+<computeroutput>
+?      AAA
+</computeroutput>
+
+ <prompt>$</prompt> <userinput>svn add AAA</userinput> <lineannotation>add it to the svn deposit</lineannotation>
+<computeroutput>
+A         AAA
+</computeroutput>
+</screen>
+</para>
+
+</sect1>
+<sect1 xml:id="deletefile">
+<title>Delete an existing file</title>
+
+<para>
+<screen>
+ <prompt>$</prompt> <userinput>svn rm --force aaa</userinput> <lineannotation>works for file or directory</lineannotation>
+</screen>
+</para>
+
+</sect1>
+<sect1 xml:id="addversion">
+<title>Add automatic version number in a file</title>
+
+<para>
+Edit you file and add somewhere:
+
+<programlisting>
+$Id$
+</programlisting>
+</para>
+
+<para>
+Next execute the following svn command:
+
+<screen>
+ <prompt>$</prompt> <userinput>svn propset svn:keywords Id <replaceable>YOUR_FILE_NAME</replaceable></userinput>
+</screen>
+</para>
+
+<para>
+Next time you download/update you file, <literal>$Id$</literal> will be automatically replaced by the version tag.
+</para>
+</sect1>
+
+<sect1 xml:id="commit">
+<title>Commit your changes</title>
+
+<para>
+Commit all your changes with one command
+
+<screen>
+ <prompt>$</prompt> <userinput>svn commit --username <replaceable>YOUR_LOGIN</replaceable> --message "A SHORT DESCRIPTION" ~/&project;</userinput>
+</screen>
+</para>
+
+<para>
+or commit your change on one specific file (for example <filename>~/&project;/src/aaa</filename>)
+
+<screen>
+ <prompt>$</prompt> <userinput>svn commit --username <replaceable>YOUR_LOGIN</replaceable> --message "A SHORT DESCRIPTION" ~/&project;/src/aaa</userinput>
+</screen>
+</para>
+
+</sect1>
+<sect1 xml:id="version">
+<title> More info on your version</title>
+<para>
+<screen>
+ <prompt>$</prompt> <userinput>svn info ~/&project;</userinput>
+</screen>
+</para>
+</sect1>
+</article>
Index: /trunk/adm/guides/tracwiki.xsl
===================================================================
--- /trunk/adm/guides/tracwiki.xsl	(revision 3)
+++ /trunk/adm/guides/tracwiki.xsl	(revision 3)
@@ -0,0 +1,440 @@
+<?xml version='1.0' encoding='ISO-8859-1'?> 
+<xsl:stylesheet 
+xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+xmlns:xl="http://www.w3.org/1999/xlink"
+xmlns:d="http://docbook.org/ns/docbook"
+exclude-result-prefixes="d"
+version="1.0">
+<!--
+module :
+transformation docbook en un tracwiki 
+
+original location :
+/usr/home/fplod/incas/amsu/amsu_ws/adm/guides/tracwiki.xsl sur aedon.locean-ipsl.upmc.fr
+
+must be followed by awk -f trackwiki.awk
+because I did not yet correctly handle "* text" (with no linefeed)
+
+update :
+$Id$
+fplod 2008-10-13T09:15:46Z aedon.locean-ipsl.upmc.fr (Darwin)
+creation from SAXO project
+cf http://forge.ipsl.jussieu.fr/superbib/wiki/WikiFormatting
+et http://www.sagehill.net/docbookxsl/CustomDb5Xsl.html
+car 1re xsl pour db5
+-->
+
+
+<!--
+xml output with no xml declaration : this is the only way to make xsl:copy-of copy
+nodes instead of contents of nodes
+-->
+<xsl:output method="xml" 
+indent="no" 
+omit-xml-declaration="yes"/>
+
+<xsl:strip-space elements="d:article d:sect1 d:sect2 d:sect3 d:sect4 d:variablellist d:itemizedlist d:listitem d:varlistentry d:term d:para d:simpara"/>
+
+<xsl:template match="/">
+ <xsl:apply-templates/>
+</xsl:template>
+
+<xsl:template match="d:article/d:title">
+<!-- pour ajouter une table des matières 
+d'après
+http://groups.google.com/group/trac-users/browse_thread/thread/2c2cf9830c190a7d#e0a71ce3da67fb53
+-->
+ <xsl:text>= </xsl:text><xsl:value-of select="normalize-space(.)"/><xsl:text> =</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>[[PageOutline]]</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:sect1/d:title">
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>== </xsl:text><xsl:value-of select="normalize-space(.)"/><xsl:text> ==</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:qandadiv/d:title">
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>== </xsl:text><xsl:value-of select="normalize-space(.)"/><xsl:text> ==</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:sect2/d:title">
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:variable name="newtitle">
+  <xsl:call-template name="replace-string">
+   <xsl:with-param name="text" select="normalize-space(.)"/>
+   <xsl:with-param name="replace" select="'&gt;'"/>
+<!-- do not how to write > instead of &gt; ++. need sed features --> 
+   <xsl:with-param name="with" select="'&gt;'"/>
+  </xsl:call-template>
+ </xsl:variable>
+ <xsl:text>=== </xsl:text><xsl:value-of select="$newtitle"/><xsl:text> ===</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:qandaentry/d:question/d:para">
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:variable name="newtitle">
+  <xsl:call-template name="replace-string">
+   <xsl:with-param name="text" select="normalize-space(.)"/>
+   <xsl:with-param name="replace" select="'&gt;'"/>
+<!-- do not how to write > instead of &gt; ++. need sed features --> 
+   <xsl:with-param name="with" select="'&gt;'"/>
+  </xsl:call-template>
+ </xsl:variable>
+ <xsl:text>=== </xsl:text><xsl:value-of select="$newtitle"/><xsl:text> ===</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:sect3/d:title">
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>==== </xsl:text><xsl:value-of select="normalize-space(.)"/><xsl:text> ====</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:sect4/d:title">
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>===== </xsl:text><xsl:value-of select="normalize-space(.)"/><xsl:text> =====</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:sect5/title">
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>====== </xsl:text><xsl:value-of select="normalize-space(.)"/><xsl:text> ======</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:sect2/d:simplesect/d:title">
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>==== </xsl:text><xsl:value-of select="normalize-space(.)"/><xsl:text> ====</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:systemitem">
+ <xsl:text>{{{</xsl:text><xsl:value-of select="."/><xsl:text>}}}</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:para/d:command">
+ <xsl:text>{{{</xsl:text><xsl:value-of select="."/><xsl:text>}}}</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:filename">
+ <xsl:choose>
+  <xsl:when test="local-name(..)='userinput'">
+   <xsl:value-of select="."/>
+  </xsl:when>
+  <xsl:otherwise>
+   <xsl:text>{{{</xsl:text><xsl:value-of select="."/><xsl:text>}}}</xsl:text>
+  </xsl:otherwise>
+ </xsl:choose>
+</xsl:template>
+
+<xsl:template match="d:varname">
+ <xsl:text>{{{</xsl:text><xsl:value-of select="."/><xsl:text>}}}</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:literallayout">
+ <xsl:text>{{{</xsl:text><xsl:apply-templates/><xsl:text>}}}</xsl:text>
+</xsl:template>
+<xsl:template match="d:literal">
+ <xsl:text>{{{</xsl:text><xsl:apply-templates/><xsl:text>}}}</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:screen">
+ <!-- 
+we open an HTML block because it is not possible to have font effect (bold, italic) using TracWiki
+ -->
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>{{{</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>#!html</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+ <pre class="screen">
+ <xsl:apply-templates/>
+ </pre>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>}}}</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:programlisting">
+ <!-- 
+we open an HTML block because it is not possible to have font effect (bold, italic) using TracWiki
+ -->
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>{{{</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>#!html</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+ <pre class="screen">
+ <xsl:apply-templates/>
+ </pre>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>}}}</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:screen/d:prompt">
+<code class="prompt"><xsl:value-of select="."/></code>
+</xsl:template>
+
+<xsl:template match="d:screen/d:userinput">
+<strong class="userinput"><code><xsl:apply-templates/></code></strong>
+</xsl:template>
+
+<xsl:template match="d:screen/d:userinput/d:command">
+<span><strong class="command"><xsl:value-of select="."/></strong></span>
+</xsl:template>
+
+<xsl:template match="d:screen/d:userinput/d:option">
+<code class="option"><xsl:value-of select="."/></code>
+</xsl:template>
+
+<xsl:template match="d:screen/d:computeroutput">
+<code class="computeroutput"><xsl:value-of select="."/></code>
+</xsl:template>
+
+<xsl:template match="d:screen/d:userinput/d:parameter">
+<em class="parameter"><code><xsl:apply-templates/></code></em>
+</xsl:template>
+
+<xsl:template match="d:blockquote">
+  <xsl:text>  </xsl:text><xsl:apply-templates/>
+</xsl:template>
+
+<xsl:template match="d:itemizedlist/d:listitem/d:simpara/d:link[@xl:href]">
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text> [</xsl:text><xsl:value-of select="@xl:href"/> <xsl:text> </xsl:text><xsl:value-of select="."/> <xsl:text>]</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:variablelist/">
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:apply-templates/>
+</xsl:template>
+
+<xsl:template match="d:variablelist/d:varlistentry/d:listitem/d:simpara/d:link[@xl:href]">
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text> [</xsl:text><xsl:value-of select="@xl:href"/> <xsl:text> </xsl:text><xsl:value-of select="."/> <xsl:text>]</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:quote">
+  <xsl:text>"</xsl:text><xsl:value-of select="."/><xsl:text>"</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:itemizedlist/d:listitem">
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text> @star@ </xsl:text><xsl:apply-templates/>
+</xsl:template>
+
+<xsl:template match="d:imagedata[@fileref]">
+<!--
+ex : [[Image(source:/trunk/SRC/Documentation/xmldoc/images/showfig.png)]] 
+-->
+<xsl:text>[[Image(source:/trunk/SRC/Documentation/xmldoc/</xsl:text><xsl:value-of select="@fileref"/><xsl:text>)]]</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:link[@xl:href]">
+<xsl:variable name="link">
+ <xsl:choose>
+  <xsl:when test="contains(@xl:href,'firststeps.html')">
+   <xsl:text>wiki:FirstSteps</xsl:text>
+  </xsl:when>
+  <xsl:when test="contains(@xl:href,'faq.html')">
+   <xsl:text>wiki:Faq</xsl:text>
+  </xsl:when>
+  <xsl:when test="contains(@xl:href,'get.html')">
+   <xsl:text>wiki:Get</xsl:text>
+  </xsl:when>
+  <xsl:when test="contains(@xl:href,'mailing.html')">
+   <xsl:text>wiki:Mailing</xsl:text>
+  </xsl:when>
+  <xsl:when test="contains(@xl:href,'tiplink.html')">
+   <xsl:text>wiki:TipLink</xsl:text>
+  </xsl:when>
+  <xsl:when test="contains(@xl:href,'update.html')">
+   <xsl:text>wiki:Update</xsl:text>
+  </xsl:when>
+  <xsl:when test="contains(@xl:href,'whatis.html')">
+   <xsl:text>wiki:Whatis</xsl:text>
+  </xsl:when>
+  <xsl:when test="contains(@xl:href,'whatsnew.html')">
+   <xsl:text>wiki:WhatsNew</xsl:text>
+  </xsl:when>
+  <xsl:when test="contains(@xl:href,'index.html')">
+   <xsl:text>wiki:WikiStart</xsl:text>
+  </xsl:when>
+  <xsl:when test="contains(@xl:href,'../../')">
+   <xsl:text>source:/trunk/SRC/</xsl:text><xsl:value-of select="substring-after(@xl:href,'../../')"/>
+  </xsl:when>
+  <xsl:when test="contains(@xl:href,'figpng/')">
+   <xsl:text>source:/trunk/SRC/Documentation/xmldoc/figpng/</xsl:text><xsl:value-of select="substring-after(@xl:href,'figpng/')"/>
+  </xsl:when>
+  <xsl:otherwise>
+   <xsl:value-of select="@xl:href"/>
+  </xsl:otherwise>
+ </xsl:choose>
+</xsl:variable>
+<xsl:text>[</xsl:text><xsl:value-of select="$link"/> <xsl:text> </xsl:text><xsl:value-of select="."/> <xsl:text>]</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:quote">
+  <xsl:text>"</xsl:text><xsl:value-of select="."/><xsl:text>"</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:email">
+<xsl:text>[mailto:</xsl:text><xsl:value-of select="."/> <xsl:text> </xsl:text><xsl:value-of select="."/> <xsl:text>]</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:variablelist/d:varlistentry/d:term">
+ <xsl:text>'''</xsl:text><xsl:value-of select="normalize-space(.)"/><xsl:text>'''</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:emphasis">
+  <xsl:text>''</xsl:text><xsl:value-of select="."/><xsl:text>''</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:emphasis[@role='bold']">
+ <xsl:text>'''</xsl:text><xsl:value-of select="."/><xsl:text>'''</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:caution">
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>'''Caution'''</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:apply-templates/>
+</xsl:template>
+
+<xsl:template match="d:note">
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>'''Note'''</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:apply-templates/>
+</xsl:template>
+
+<xsl:template match="d:replaceable">
+ <xsl:choose>
+  <xsl:when test="local-name(..)='userinput'">
+   <code class="replaceable"><xsl:value-of select="."/></code>
+  </xsl:when>
+  <xsl:when test="local-name(..)='parameter'">
+   <code class="replaceable"><xsl:value-of select="."/></code>
+  </xsl:when>
+  <xsl:otherwise>
+   <xsl:text>'''''</xsl:text><xsl:value-of select="."/><xsl:text>'''''</xsl:text>
+  </xsl:otherwise>
+ </xsl:choose>
+</xsl:template>
+
+<xsl:template match="d:superscript">
+  <xsl:text>^</xsl:text><xsl:value-of select="."/><xsl:text>^</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:subscript">
+  <xsl:text>,,</xsl:text><xsl:value-of select="."/><xsl:text>,,</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:simplelist">
+<!-- but beware of links inside -->
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>{{{</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>#!docbook</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:copy-of select="."/>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>}}}</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:informaltable">
+<!-- but beware of links inside -->
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>{{{</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>#!docbook</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:copy-of select="."/>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>}}}</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+</xsl:template>
+
+<!-- ++ pb when in listitem/para
+<xsl:template match="d:menuchoice|d:guimenu|d:guisubmenu">
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>{{{</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>#!docbook</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:copy-of select="."/>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>}}}</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+</xsl:template>
+-->
+
+<xsl:template match="d:informaltable">
+<!-- but beware of links inside -->
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>{{{</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>#!docbook</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:copy-of select="."/>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>}}}</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:link[@linkend]"> 
+ <xsl:variable name="target" select="key('id',@linkend)[1]"/>
+ <xsl:text>[#</xsl:text><xsl:value-of select="translate(normalize-space(//*[normalize-space(@xml:id='$target')]/d:title),' ','')"/><xsl:text>]</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:xref"> 
+  <xsl:variable name="target" select="key('id',@linkend)[1]"/>
+  <xsl:text>[#</xsl:text><xsl:value-of select="translate(normalize-space(//d:sect1[normalize-space(@xml:id='$target')]/d:title),' ','')"/><xsl:text> </xsl:text> <xsl:value-of select="normalize-space(//d:sect1[normalize-space(@xml:id='$target')]/d:title)"/><xsl:text>]</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:callout"> 
+ <xsl:text>[[Image(source:/trunk/SRC/Documentation/xmldoc/images/callouts/</xsl:text><xsl:value-of select="position() div 2"/><xsl:text>.png)]]</xsl:text><xsl:apply-templates/>
+</xsl:template>
+
+<xsl:template name="replace-string">
+<!-- from http://www.dpawson.co.uk/xsl/sect2/replace.html -->
+    <xsl:param name="text"/>
+    <xsl:param name="replace"/>
+    <xsl:param name="with"/>
+    <xsl:choose>
+      <xsl:when test="contains($text,$replace)">
+        <xsl:value-of select="substring-before($text,$replace)"/>
+        <xsl:value-of select="$with"/>
+        <xsl:call-template name="replace-string">
+          <xsl:with-param name="text"
+select="substring-after($text,$replace)"/>
+          <xsl:with-param name="replace" select="$replace"/>
+          <xsl:with-param name="with" select="$with"/>
+        </xsl:call-template>
+      </xsl:when>
+      <xsl:otherwise>
+        <xsl:value-of select="$text"/>
+      </xsl:otherwise>
+    </xsl:choose>
+  </xsl:template>
+
+<!-- do not reproduce the followings elements -->
+<xsl:template match="d:mediaobject/d:textobject"/>
+<xsl:template match="d:info/d:authorgroup"/>
+<xsl:template match="d:info/d:revhistory"/>
+<xsl:template match="d:info/d:pubdate"/>
+<xsl:template match="d:keywordset"/>
+
+</xsl:stylesheet>  
Index: /trunk/adm/guides/web.xml
===================================================================
--- /trunk/adm/guides/web.xml	(revision 3)
+++ /trunk/adm/guides/web.xml	(revision 3)
@@ -0,0 +1,72 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+<!DOCTYPE article [
+<!ENTITY % isolat1 SYSTEM "http://www.w3.org/2003/entities/iso8879/isolat1.ent">
+%isolat1;
+<!ENTITY % isolat2 SYSTEM "http://www.w3.org/2003/entities/iso8879/isolat2.ent">
+%isolat2;
+<!ENTITY % isogrk3 SYSTEM "http://www.w3.org/2003/entities/iso8879/isogrk3.ent">
+%isogrk3;
+<!ENTITY % isopub SYSTEM "http://www.w3.org/2003/entities/iso8879/isopub.ent">
+%isopub;
+<!ENTITY % isotech SYSTEM "http://www.w3.org/2003/entities/iso8879/isotech.ent">
+%isotech;
+<!ENTITY % isonum SYSTEM "http://www.w3.org/2003/entities/iso8879/isonum.ent">
+%isonum;
+<!ENTITY project "IRCAAM">
+<!ENTITY project_svn "ircaam">
+
+]>
+<article version="5.0"
+xmlns="http://docbook.org/ns/docbook"
+xmlns:xl="http://www.w3.org/1999/xlink"
+xmlns:xi="http://www.w3.org/2001/XInclude"
+xml:lang="fr"
+xml:id="web">
+
+<!--
+ do not forget to modify WikiStart page if you modify this file
+-->
+<title>Projet &project;</title>
+  <info>
+    <authorgroup>
+      <author><personname><firstname>Françoise</firstname> <surname>Pinsard</surname></personname> <email>Francoise.Pinsard_at_locean-ipsl.upmc.fr</email></author>
+    </authorgroup>
+    <keywordset>
+      <keyword>&project;</keyword>
+    </keywordset>
+    <pubdate>$Id$</pubdate>
+  </info>
+
+<sect1 xml:id="whatis">
+<title>Qu'est-ce que &project;</title>
+<para>
+Influence Réciproque des Climats d'Afrique de l'ouest, du sud de l'Asie et du bassin Méditerranéen
+</para>
+</sect1>
+
+<sect1 xml:id="workon">
+<title>Travailler sur &project;</title>
+<para>
+Naviguer dans <link xl:href="http://forge.ipsl.jussieu.fr/ircaam/"/>
+</para>
+</sect1>
+
+<sect1 xml:id="notes">
+<title>
+Documentation sur le travail en cours
+</title>
+<para>
+<link xl:href="file://locean-ipsl.upmc.fr/usr/temp/fplod/public_html/ircaam/fr/one/ircaam.html"/> (notes de travail fp au LOCEAN)
+</para>
+</sect1>
+
+<sect1 xml:id="contact">
+<title>Contact</title>
+<para>
+Serge Janicot et Sébastien Gervois pour la science
+</para>
+<para>
+Françoise Pinsard pour la gestion du projet sous trac et svn
+</para>
+</sect1>
+</article>
Index: /trunk/adm/makefile
===================================================================
--- /trunk/adm/makefile	(revision 3)
+++ /trunk/adm/makefile	(revision 3)
@@ -0,0 +1,634 @@
+#+
+# module
+# ======
+#
+# génération des doc ircaam
+#
+# FILES
+# =====
+#
+# /usr/home/fplod/incas/ircaam/ircaam_ws/adm/makefile sur aedon.locean-ipsl.upmc.fr
+#
+# TODO
+# ====
+#
+# ++ menage des fichiers intermediares latex dans DIRWWW
+#
+# ++ amélioration de la page index
+#
+# ++ faire un livre avec tout
+#
+# EVOLUTIONS
+# ==========
+#
+# - fplod 2008-11-26T11:59:08Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#   * creation
+#
+# SEE ALSO
+# ========
+#
+# extract_rst.sh_
+#
+# .. _extract_rst.sh: ../extract_rst.sh.html
+#
+#+
+#
+PRODUCT = \
+ircaam
+
+PRODUCTNAME = \
+$$(echo $(PRODUCT) | tr -s [:lower:] [:upper:])
+
+SUBPRODUCT = \
+ircaam_ws
+
+DIRBASE = \
+/usr/home/fplod/incas/$(PRODUCT)/$(SUBPRODUCT)/
+
+DIRSRC = \
+$(DIRBASE)/
+
+DIRTMP = \
+./
+
+DIRWWW = \
+../doc/
+
+URLPUBLISH = \
+http://www.locean-ipsl.upmc.fr/~fplod/$(PRODUCT)/$(SUBPRODUCT)/
+
+LIST_SRCSH = \
+$(DIRSRC)/src/$(PRODUCT)_profile.sh \
+$(DIRSRC)/src/dlogd.sh \
+$(DIRSRC)/src/elogd.sh \
+$(DIRSRC)/src/plogd.sh \
+$(DIRSRC)/src/tlogd.sh \
+$(DIRSRC)/src/cat_clim_olr.sh \
+$(DIRSRC)/src/is_leap_year.sh \
+$(DIRSRC)/src/olr_split.sh \
+$(DIRSRC)/src/paper01_pre.sh
+
+LIST_SRCIDL = \
+$(DIRSRC)/src/forout.pro \
+$(DIRSRC)/src/hovmuller.pro \
+$(DIRSRC)/src/paper01.pro \
+$(DIRSRC)/src/timeserie.pro \
+$(DIRSRC)/src/figure08.pro \
+$(DIRSRC)/src/figure09.pro \
+$(DIRSRC)/src/figure11.pro \
+$(DIRSRC)/src/figure12.pro \
+$(DIRSRC)/src/figure13.pro \
+$(DIRSRC)/src/figure14.pro
+
+.PHONY : \
+help \
+before \
+clean \
+htmllinkcheckb \
+htmllinkchecka \
+spellcheck \
+all \
+html \
+pdf
+
+help :
+	@echo "Prepare output directories :"
+	@echo "\$$ make before"
+	@echo ""
+	@echo "Following commands are available to build outputs :"
+	@echo "\$$ make all"
+	@echo " "
+	@echo "Check links before installation : "
+	@echo "\$$ make htmllinkcheckb"
+	@echo " "
+	@echo "Last step = installation"
+	@echo "\$$ make install"
+	@echo " "
+	@echo "Check links after installation : "
+	@echo "\$$ make htmllinkchecka"
+	@echo " "
+
+before :
+	@before.sh -p $(PRODUCT) -s $(DIRSRC) -w $(DIRWWW) -mono -l en
+	@mkdir -p $(DIRWWW)/manuals/html/
+	@mkdir -p $(DIRWWW)/manuals/pdf/
+	@mkdir -p $(DIRWWW)/src_browser/idl/
+
+install :
+	@install.sh -w $(DIRWWW) -u $(URLPUBLISH)
+
+clean :
+	-@rm -fr $(DIRWWW)/manuals/html/
+	-@rm -fr $(DIRWWW)/manuals/pdf/
+	-@rm -fr $(DIRWWW)/src_browser/
+	-@rm -f $(DIRTMP)/all.xml
+	-@rm -f $(DIRTMP)/*.rst
+	-@rm -f $(DIRTMP)/*.rst[12]
+	-@rm -f $(DIRTMP)/links.rst*
+	-@rm -f $(DIRTMP)/*.tex
+	-@rm -f $(DIRTMP)/*.aux
+	-@rm -f $(DIRTMP)/*.log
+	-@rm -f $(DIRTMP)/*.out
+
+htmllinkcheckb :
+	@linkchecker.sh -d $(DIRWWW)
+
+htmllinkchecka :
+	@linkchecker.sh -u $(URLPUBLISH)
+
+spellcheck :
+	@++aspell --mode=sgml --master=english -c \
+	$(DIRSRC)/$(PRODUCT).xml
+
+all : \
+withidldoc \
+man_html \
+man_pdf
+
+withidldoc : \
+$(DIRWWW)/src_browser/idl/
+
+man_html : \
+$(DIRWWW)/manuals/html/index.html \
+$(DIRWWW)/manuals/html/$(PRODUCT)_manuals.html \
+$(DIRWWW)/manuals/html/$(PRODUCT)_profile.sh.html \
+$(DIRWWW)/manuals/html/dlogd.sh.html \
+$(DIRWWW)/manuals/html/elogd.sh.html \
+$(DIRWWW)/manuals/html/plogd.sh.html \
+$(DIRWWW)/manuals/html/tlogd.sh.html \
+$(DIRWWW)/manuals/html/cat_clim_olr.sh.html \
+$(DIRWWW)/manuals/html/is_leap_year.sh.html \
+$(DIRWWW)/manuals/html/olr_split.sh.html \
+$(DIRWWW)/manuals/html/paper01_pre.sh.html \
+$(DIRWWW)/manuals/html/forout.pro.html \
+$(DIRWWW)/manuals/html/hovmuller.pro.html \
+$(DIRWWW)/manuals/html/paper01.pro.html \
+$(DIRWWW)/manuals/html/timeserie.pro.html \
+$(DIRWWW)/manuals/html/figure08.pro.html \
+$(DIRWWW)/manuals/html/figure09.pro.html \
+$(DIRWWW)/manuals/html/figure11.pro.html \
+$(DIRWWW)/manuals/html/figure12.pro.html \
+$(DIRWWW)/manuals/html/figure13.pro.html \
+$(DIRWWW)/manuals/html/figure14.pro.html
+
+man_pdf : \
+$(DIRWWW)/manuals/pdf/$(PRODUCT)_manuals.pdf \
+$(DIRWWW)/manuals/pdf/$(PRODUCT)_profile.sh.pdf \
+$(DIRWWW)/manuals/pdf/dlogd.sh.pdf \
+$(DIRWWW)/manuals/pdf/elogd.sh.pdf \
+$(DIRWWW)/manuals/pdf/plogd.sh.pdf \
+$(DIRWWW)/manuals/pdf/tlogd.sh.pdf \
+$(DIRWWW)/manuals/pdf/cat_clim_olr.sh.pdf \
+$(DIRWWW)/manuals/pdf/is_leap_year.sh.pdf \
+$(DIRWWW)/manuals/pdf/olr_split.sh.pdf \
+$(DIRWWW)/manuals/pdf/paper01_pre.sh.pdf \
+$(DIRWWW)/manuals/pdf/forout.pro.pdf \
+$(DIRWWW)/manuals/pdf/hovmuller.pro.pdf \
+$(DIRWWW)/manuals/pdf/paper01.pro.pdf \
+$(DIRWWW)/manuals/pdf/timeserie.pro.pdf \
+$(DIRWWW)/manuals/pdf/figure08.pro.pdf \
+$(DIRWWW)/manuals/pdf/figure09.pro.pdf \
+$(DIRWWW)/manuals/pdf/figure11.pro.pdf \
+$(DIRWWW)/manuals/pdf/figure12.pro.pdf \
+$(DIRWWW)/manuals/pdf/figure13.pro.pdf \
+$(DIRWWW)/manuals/pdf/figure14.pro.pdf
+
+$(DIRWWW)/src_browser/idl/ : \
+$(LIST_SRCPRO)
+	@echo "www : experimental production of idldoc"
+	@echo "www : PATH and IDL_DIR are redefined here"
+	@PATH=/usr/home/fplod/src/SAXO_DIR_ws/Documentation/xmldoc/:${PATH}; \
+	export IDL_DIR=/usr/local_macosx/idl//idl_6.2/idl_6.2/; \
+	doidldoc.sh -i $(DIRSRC)/src/ \
+		     -t "$(PRODUCTNAME) Documentation" \
+		     -o $@
+
+$(DIRWWW)/manuals/html/index.html : \
+$(DIRTMP)/index.rst
+	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRWWW)/manuals/html/$(PRODUCT)_manuals.html : \
+$(DIRTMP)/$(PRODUCT)_manuals.rst
+	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/$(PRODUCT)_manuals.pdf : \
+$(DIRTMP)/$(PRODUCT)_manuals.tex
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+ 
+$(DIRTMP)/$(PRODUCT)_manuals.tex : \
+$(DIRTMP)/$(PRODUCT)_manuals.rst
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time --time \
+	$< $@
+
+$(DIRTMP)/$(PRODUCT)_manuals.rst : \
+$(DIRTMP)/index.rst \
+$(LIST_SRCSH) \
+$(LIST_SRCIDL)
+	cat $(DIRTMP)/index.rst > ${DIRTMP}/$(PRODUCT)_manuals.rst1
+	@for file in $(LIST_SRCSH); \
+	do echo " " >> ${DIRTMP}/$(PRODUCT)_manuals.rst1 ;\
+	echo "$$(basename $${file})" >> ${DIRTMP}/$(PRODUCT)_manuals.rst1 ;\
+	echo "$$(basename $${file} | tr [:print:] =)" >> ${DIRTMP}/$(PRODUCT)_manuals.rst1 ; \
+	echo " " >> ${DIRTMP}/$(PRODUCT)_manuals.rst1; \
+	sed -e "s/^==*$$/-----------------/" ${DIRTMP}/$$(basename $${file}).rst >> ${DIRTMP}/$(PRODUCT)_manuals.rst1; \
+	done
+	@for file in $(LIST_SRCIDL); \
+	do echo " " >> ${DIRTMP}/$(PRODUCT)_manuals.rst1 ;\
+	echo "$$(basename $${file})" >> ${DIRTMP}/$(PRODUCT)_manuals.rst1 ;\
+	echo "$$(basename $${file} | tr [:print:] =)" >> ${DIRTMP}/$(PRODUCT)_manuals.rst1 ; \
+	echo " " >> ${DIRTMP}/$(PRODUCT)_manuals.rst1; \
+	sed -e "s/^==*$$/-----------------/" ${DIRTMP}/$$(basename $${file}).rst >> ${DIRTMP}/$(PRODUCT)_manuals.rst1; \
+	done
+	grep "\.\. _.*: .*$$" ${DIRTMP}/$(PRODUCT)_manuals.rst1 > \
+	${DIRTMP}/links.rst
+	sed -e "s/^ *//" ${DIRTMP}/links.rst | sort -u > ${DIRTMP}/links.rst2
+	sed -e "/\.\. _.*: .*$$/d" ${DIRTMP}/$(PRODUCT)_manuals.rst1 > \
+	${DIRTMP}/$(PRODUCT)_manuals.rst2
+	cat ${DIRTMP}/$(PRODUCT)_manuals.rst2 ${DIRTMP}/links.rst2 > $@
+
+$(DIRTMP)/index.rst :
+	@echo "=================" >> $@
+	@echo "$(PRODUCTNAME) manuals" >> $@
+	@echo "=================" >> $@
+	@echo " " >> $@
+	@echo "blabla see Guide_ " >> $@
+	@echo " " >> $@
+	@echo " .. _Guide : ../../guides/html/index.html" >> $@
+	@echo " " >> $@
+
+	@echo "Shell scripts" >> $@
+	@echo "=============" >> $@
+	@for file in $(LIST_SRCSH); do echo " ";echo "$$(basename $${file})_"; echo " "; echo ".. _$$(basename $${file}): $$(basename $${file}).html"; done >> $@
+	@echo " " >> $@
+	@echo "IDL scripts" >> $@
+	@echo "===========" >> $@
+	@echo " " >> $@
+	@echo "See also idldoc output here_" >> $@
+	@echo " " >> $@
+	@echo ".. _here : ../../src_browser/idl/index.html" >> $@
+	@echo " " >> $@
+	@for file in $(LIST_SRCIDL); do echo " ";echo "$$(basename $${file})_"; echo " "; echo ".. _$$(basename $${file}): $$(basename $${file}).html"; done >> $@
+	@echo " " >> $@
+
+$(DIRWWW)/manuals/html/$(PRODUCT)_profile.sh.html : \
+$(DIRTMP)/$(PRODUCT)_profile.sh.rst
+	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/$(PRODUCT)_profile.sh.pdf : \
+$(DIRTMP)/$(PRODUCT)_profile.sh.tex
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+
+$(DIRTMP)/$(PRODUCT)_profile.sh.tex : \
+$(DIRTMP)/$(PRODUCT)_profile.sh.rst
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRTMP)/$(PRODUCT)_profile.sh.rst : \
+$(DIRSRC)/src/$(PRODUCT)_profile.sh
+	@extract_rst.sh -i $< -l sh -o $@
+
+$(DIRWWW)/manuals/html/dlogd.sh.html : \
+$(DIRTMP)/dlogd.sh.rst
+	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/dlogd.sh.pdf : \
+$(DIRTMP)/dlogd.sh.tex
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+
+$(DIRTMP)/dlogd.sh.tex : \
+$(DIRTMP)/dlogd.sh.rst
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRTMP)/dlogd.sh.rst : \
+$(DIRSRC)/src/dlogd.sh
+	@extract_rst.sh -i $< -l sh -o $@
+
+$(DIRWWW)/manuals/html/elogd.sh.html : \
+$(DIRTMP)/elogd.sh.rst
+	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/elogd.sh.pdf : \
+$(DIRTMP)/elogd.sh.tex
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+
+$(DIRTMP)/elogd.sh.tex : \
+$(DIRTMP)/elogd.sh.rst
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRTMP)/elogd.sh.rst : \
+$(DIRSRC)/src/elogd.sh
+	@extract_rst.sh -i $< -l sh -o $@
+
+$(DIRWWW)/manuals/html/plogd.sh.html : \
+$(DIRTMP)/plogd.sh.rst
+	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/plogd.sh.pdf : \
+$(DIRTMP)/plogd.sh.tex
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+
+$(DIRTMP)/plogd.sh.tex : \
+$(DIRTMP)/plogd.sh.rst
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRTMP)/plogd.sh.rst : \
+$(DIRSRC)/src/plogd.sh
+	@extract_rst.sh -i $< -l sh -o $@
+
+$(DIRWWW)/manuals/html/tlogd.sh.html : \
+$(DIRTMP)/tlogd.sh.rst
+	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/tlogd.sh.pdf : \
+$(DIRTMP)/tlogd.sh.tex
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+
+$(DIRTMP)/tlogd.sh.tex : \
+$(DIRTMP)/tlogd.sh.rst
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRTMP)/tlogd.sh.rst : \
+$(DIRSRC)/src/tlogd.sh
+	@extract_rst.sh -i $< -l sh -o $@
+
+$(DIRWWW)/manuals/html/cat_clim_olr.sh.html : \
+$(DIRTMP)/cat_clim_olr.sh.rst
+	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/cat_clim_olr.sh.pdf : \
+$(DIRTMP)/cat_clim_olr.sh.tex
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+
+$(DIRTMP)/cat_clim_olr.sh.tex : \
+$(DIRTMP)/cat_clim_olr.sh.rst
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRTMP)/cat_clim_olr.sh.rst : \
+$(DIRSRC)/src/cat_clim_olr.sh
+	@extract_rst.sh -i $< -l sh -o $@
+
+$(DIRWWW)/manuals/html/is_leap_year.sh.html : \
+$(DIRTMP)/is_leap_year.sh.rst
+	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/is_leap_year.sh.pdf : \
+$(DIRTMP)/is_leap_year.sh.tex
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+
+$(DIRTMP)/is_leap_year.sh.tex : \
+$(DIRTMP)/is_leap_year.sh.rst
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRTMP)/is_leap_year.sh.rst : \
+$(DIRSRC)/src/is_leap_year.sh
+	@extract_rst.sh -i $< -l sh -o $@
+
+$(DIRWWW)/manuals/html/olr_split.sh.html : \
+$(DIRTMP)/olr_split.sh.rst
+	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/olr_split.sh.pdf : \
+$(DIRTMP)/olr_split.sh.tex
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+
+$(DIRTMP)/olr_split.sh.tex : \
+$(DIRTMP)/olr_split.sh.rst
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRTMP)/olr_split.sh.rst : \
+$(DIRSRC)/src/olr_split.sh
+	@extract_rst.sh -i $< -l sh -o $@
+
+$(DIRWWW)/manuals/html/paper01_pre.sh.html : \
+$(DIRTMP)/paper01_pre.sh.rst
+	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/paper01_pre.sh.pdf : \
+$(DIRTMP)/paper01_pre.sh.tex
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+
+$(DIRTMP)/paper01_pre.sh.tex : \
+$(DIRTMP)/paper01_pre.sh.rst
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRTMP)/paper01_pre.sh.rst : \
+$(DIRSRC)/src/paper01_pre.sh
+	@extract_rst.sh -i $< -l sh -o $@
+
+$(DIRWWW)/manuals/html/forout.pro.html : \
+$(DIRTMP)/forout.pro.rst
+	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/forout.pro.pdf : \
+$(DIRTMP)/forout.pro.tex
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+
+$(DIRTMP)/forout.pro.tex : \
+$(DIRTMP)/forout.pro.rst
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRTMP)/forout.pro.rst : \
+$(DIRSRC)/src/forout.pro
+	@extract_rst.sh -i $< -l IDL -o $@
+
+$(DIRWWW)/manuals/html/hovmuller.pro.html : \
+$(DIRTMP)/hovmuller.pro.rst
+	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/hovmuller.pro.pdf : \
+$(DIRTMP)/hovmuller.pro.tex
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+
+$(DIRTMP)/hovmuller.pro.tex : \
+$(DIRTMP)/hovmuller.pro.rst
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRTMP)/hovmuller.pro.rst : \
+$(DIRSRC)/src/hovmuller.pro
+	@extract_rst.sh -i $< -l IDL -o $@
+
+$(DIRWWW)/manuals/html/paper01.pro.html : \
+$(DIRTMP)/paper01.pro.rst
+	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/paper01.pro.pdf : \
+$(DIRTMP)/paper01.pro.tex
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+
+$(DIRTMP)/paper01.pro.tex : \
+$(DIRTMP)/paper01.pro.rst
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRTMP)/paper01.pro.rst : \
+$(DIRSRC)/src/paper01.pro
+	@extract_rst.sh -i $< -l IDL -o $@
+
+$(DIRWWW)/manuals/html/timeserie.pro.html : \
+$(DIRTMP)/timeserie.pro.rst
+	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/timeserie.pro.pdf : \
+$(DIRTMP)/timeserie.pro.tex
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+
+$(DIRTMP)/timeserie.pro.tex : \
+$(DIRTMP)/timeserie.pro.rst
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRTMP)/timeserie.pro.rst : \
+$(DIRSRC)/src/timeserie.pro
+	@extract_rst.sh -i $< -l IDL -o $@
+
+$(DIRWWW)/manuals/html/figure08.pro.html : \
+$(DIRTMP)/figure08.pro.rst
+	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/figure08.pro.pdf : \
+$(DIRTMP)/figure08.pro.tex
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+
+$(DIRTMP)/figure08.pro.tex : \
+$(DIRTMP)/figure08.pro.rst
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRTMP)/figure08.pro.rst : \
+$(DIRSRC)/src/figure08.pro
+	@extract_rst.sh -i $< -l IDL -o $@
+
+$(DIRWWW)/manuals/html/figure09.pro.html : \
+$(DIRTMP)/figure09.pro.rst
+	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/figure09.pro.pdf : \
+$(DIRTMP)/figure09.pro.tex
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+
+$(DIRTMP)/figure09.pro.tex : \
+$(DIRTMP)/figure09.pro.rst
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRTMP)/figure09.pro.rst : \
+$(DIRSRC)/src/figure09.pro
+	@extract_rst.sh -i $< -l IDL -o $@
+
+$(DIRWWW)/manuals/html/figure11.pro.html : \
+$(DIRTMP)/figure11.pro.rst
+	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/figure11.pro.pdf : \
+$(DIRTMP)/figure11.pro.tex
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+
+$(DIRTMP)/figure11.pro.tex : \
+$(DIRTMP)/figure11.pro.rst
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRTMP)/figure11.pro.rst : \
+$(DIRSRC)/src/figure11.pro
+	@extract_rst.sh -i $< -l IDL -o $@
+
+$(DIRWWW)/manuals/html/figure12.pro.html : \
+$(DIRTMP)/figure12.pro.rst
+	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/figure12.pro.pdf : \
+$(DIRTMP)/figure12.pro.tex
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+
+$(DIRTMP)/figure12.pro.tex : \
+$(DIRTMP)/figure12.pro.rst
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRTMP)/figure12.pro.rst : \
+$(DIRSRC)/src/figure12.pro
+	@extract_rst.sh -i $< -l IDL -o $@
+
+$(DIRWWW)/manuals/html/figure13.pro.html : \
+$(DIRTMP)/figure13.pro.rst
+	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/figure13.pro.pdf : \
+$(DIRTMP)/figure13.pro.tex
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+
+$(DIRTMP)/figure13.pro.tex : \
+$(DIRTMP)/figure13.pro.rst
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRTMP)/figure13.pro.rst : \
+$(DIRSRC)/src/figure13.pro
+	@extract_rst.sh -i $< -l IDL -o $@
+
+$(DIRWWW)/manuals/html/figure14.pro.html : \
+$(DIRTMP)/figure14.pro.rst
+	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/figure14.pro.pdf : \
+$(DIRTMP)/figure14.pro.tex
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+
+$(DIRTMP)/figure14.pro.tex : \
+$(DIRTMP)/figure14.pro.rst
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	$< $@
+
+$(DIRTMP)/figure14.pro.rst : \
+$(DIRSRC)/src/figure14.pro
+	@extract_rst.sh -i $< -l IDL -o $@
Index: /trunk/src/dlogd.sh
===================================================================
--- /trunk/src/dlogd.sh	(revision 3)
+++ /trunk/src/dlogd.sh	(revision 3)
@@ -0,0 +1,124 @@
+#! /bin/sh
+#
+#+
+#
+# NAME
+# ====
+#
+# dlogd.sh - prompt for destruction of the most recent release of ${IRCAAM_LOG}/action.log.YYYY-MM-DDTHH:MM:SSZ
+#
+#
+# SYNOPSIS
+# ========
+#
+# ::
+#
+#  $ dlogd.sh action
+#
+#
+# DESCRIPTION
+# ===========
+#
+# ``dlogd.sh`` prompt for destruction of the most recent release of ${IRCAAM_LOG}/action.log.YYYY-MM-DDTHH:MM:SSZ.
+#
+# 
+# SEE ALSO
+# ========
+#
+# ircaam_profile.sh_
+# 
+# .. _ircaam_profile.sh : ircaam_profile.sh.html
+# 
+# elogd.sh_
+#  
+# .. _elogd.sh : elogd.sh.html
+# 
+# plogd.sh_
+#  
+# .. _plogd.sh : plogd.sh.html
+#
+# tlogd.sh_
+#  
+# .. _tlogd.sh : tlogd.sh.html
+#
+# FILES
+# =====
+#
+# original location
+# ~~~~~~~~~~~~~~~~~
+#
+# /usr/home/fplod/incas/ircaam/ircaam_ws/src/dlogd.sh sur cerbere.locean-ipsl.upmc.fr
+#
+# EVOLUTIONS
+# ==========
+#
+# $Id$
+#
+# - fplod 2006-02-20T16:44:33Z aedon.lodyc.jussieu.fr (Darwin)
+#
+#   * posix
+#
+#-
+#
+set -u
+system=$(uname)
+case "${system}" in
+AIX|IRIX64)
+  echo " www : no specific posix checking"
+;;
+*)
+  set -o posix
+;;
+esac
+command=$(basename ${0})
+#
+if [ "${1}" = "" ]
+then
+   echo "${command} : eee : 1st parameter missing" >&2
+   exit 1
+fi
+#
+# check for ${IRCAAM_LOG} definition
+if [ "${IRCAAM_LOG}" = "" ]
+then 
+ echo " eee : \${IRCAAM_LOG} not defined"
+ exit 1
+fi
+#
+# check for ${IRCAAM_LOG} existence
+if [ ! -d ${IRCAAM_LOG} ]
+then
+ echo " eee : ${IRCAAM_LOG} not found"
+ exit 1
+fi
+#
+# check for permission access on IRCAAM_LOG
+if [ ! -x ${IRCAAM_LOG} ]
+then
+ echo " eee : ${IRCAAM_LOG} not reachable"
+ exit 1
+fi
+# check for write permission on IRCAAM_LOG
+if [ ! -w ${IRCAAM_LOG} ]
+then
+ echo " eee : ${IRCAAM_LOG} not writable"
+ exit 1
+fi
+#
+log=$(find ${IRCAAM_LOG} -name "${1}.log.????-??-??T??:??:??Z" | sort | \
+tail -n 1)
+tmp=${?}
+if [ ${tmp} -eq 0 ]
+then
+ if [ "${log}" = "" ]
+ then
+  echo "${command} : eee : no release of ${IRCAAM_LOG}/${1}.log" >&2
+  exit 1
+ else
+  # destruction du fichier ${log}
+  /bin/rm -i ${log}
+  exit 0
+ fi
+else
+ exit 1
+fi
Index: /trunk/src/elogd.sh
===================================================================
--- /trunk/src/elogd.sh	(revision 3)
+++ /trunk/src/elogd.sh	(revision 3)
@@ -0,0 +1,122 @@
+#! /bin/sh
+#
+#+
+#
+# NAME
+# ====
+#
+# elogd.sh - edit the most recent ${IRCAAM_LOG}/action.log.YYYY-MM-DDTHH:MM:SSZ
+#
+# SYNOPSIS
+# ========
+#
+# ::
+#
+#  $ elogd.sh action
+#
+#
+# DESCRIPTION
+# ===========
+#
+# ``elogd.sh`` launch ${EDITOR} on the most recent release of ${IRCAAM_LOG}/action.log.YYYY-MM-DDTHH:MM:SSZ.
+#
+#
+# SEE ALSO
+# ========
+# 
+# ircaam_profile.sh_
+# 
+# .. _ircaam_profile.sh : ircaam_profile.sh.html
+#
+# dlogd.sh_
+# 
+# .. _dlogd.sh : dlogd.sh.html
+#
+# plogd.sh_
+# 
+# .. _plogd.sh : plogd.sh.html
+#
+# tlogd.sh_
+# 
+# .. _tlogd.sh : tlogd.sh.html
+#
+# FILES
+# =====
+#
+# original location
+# ~~~~~~~~~~~~~~~~~
+#
+# /usr/home/fplod/incas/ircaam/ircaam_ws/src/elogd.sh sur cerbere.locean-ipsl.upmc.fr
+#
+# EVOLUTIONS
+# ==========
+#
+# $Id$
+#
+# - fplod 2006-02-20T16:38:30Z aedon.lodyc.jussieu.fr (Darwin)
+#
+#   * posix
+#
+#-
+#
+set -u
+system=$(uname)
+case "${system}" in
+AIX|IRIX64)
+  echo " www : no specific posix checking"
+;;
+*)
+  set -o posix
+;;
+esac
+command=$(basename ${0})
+#
+if [ ! "${EDITOR}" ]
+then
+ echo " ${command} : eee : EDITOR undefined" >&2
+ exit 1
+fi
+if [ "${1}" = "" ]
+then
+ echo "${command} : eee : 1st parameter missing" >&2
+ exit 1
+fi
+#
+# check for ${IRCAAM_LOG} definition
+if [ "${IRCAAM_LOG}" = "" ]
+then 
+ echo " eee : \${IRCAAM_LOG} not defined"
+ exit 1
+fi
+#
+# check for ${IRCAAM_LOG} existence
+if [ ! -d ${IRCAAM_LOG} ]
+then
+ echo " eee : ${IRCAAM_LOG} not found"
+ exit 1
+fi
+#
+# check for permission access on IRCAAM_LOG
+if [ ! -x ${IRCAAM_LOG} ]
+then
+ echo " eee : ${IRCAAM_LOG} not reachable"
+ exit 1
+fi
+#
+log=$(find ${IRCAAM_LOG} -name "${1}.log.????-??-??T??:??:??Z" | sort | \
+tail -n 1)
+tmp=${?}
+if [ ${tmp} -eq 0 ]
+then
+ if [ "${log}" = "" ]
+ then
+  echo "${command} : eee : no release of ${IRCAAM_LOG}/${1}.log" >&2
+  exit 1
+ else
+  # edit
+  ${EDITOR} ${log}
+  exit 0
+ fi
+else
+ exit 1
+fi
Index: /trunk/src/ircaam_profile.sh
===================================================================
--- /trunk/src/ircaam_profile.sh	(revision 3)
+++ /trunk/src/ircaam_profile.sh	(revision 3)
@@ -0,0 +1,251 @@
+#! /bin/sh -x
+#+
+# NAME
+# ====
+#
+# ircaam_profile.sh - define IRCAAM environnement
+#
+# SYNOPSYS
+# ========
+#
+#
+# Online usage 
+# ::
+#
+# $ . ./ircaam_profile.sh -d directory -i indir -o outdir -t tempdir
+#
+# In ${HOME}/.profile, add the following line 
+# ::
+#
+#  . ircaam_profile.sh -d directory  -i indir -o outdir -t tempdir
+#
+# DESCRIPTION
+# ===========
+#
+#  define IRCAAM environnement
+#
+#
+# ${IRCAAM}
+#
+# ${PROJECT_LOG} ++
+#
+# ${IRCAAM_ID}
+#
+# ${IRCAAM_OD}
+#
+# MANPATH++
+#
+# EXAMPLES
+# ========
+#
+#
+# For fplod, on aedon.locean-ipsl.upmc.fr:
+#
+# ::
+#
+#  $ cd /usr/home/fplod/incas/ircaam/ircaam_ws/src/
+#  $ . ./ircaam_profile.sh \
+#    -d $(pwd) \
+#    -i /usr/temp/${LOGNAME}/ircaam_d/ \
+#    -o /usr/temp/${LOGNAME}/ircaam_d/ \
+#    -t /usr/temp/${LOGNAME}/log/
+#
+# For fplod on zeus.locean-ipsl.umpc.fr:
+#
+# ::
+#
+#  $ cd ${HOME}/incas/ircaam/ircaam_ws/src/
+#  $ . ./ircaam_profile.sh \
+#    -d $(pwd) \
+#    -i /usr/temp/${LOGNAME}/ircaam_d/ \
+#    -o /usr/temp/${LOGNAME}/ircaam_d/ \
+#    -t /usr/temp/${LOGNAME}/log/
+#
+# FILES
+# =====
+#
+# original location
+# ~~~~~~~~~~~~~~~~~
+#
+# /usr/home/fplod/incas/ircaam/ircaam_ws/src/ircaam_profile.sh sur aedon.locean-ipsl.upmc.fr
+#
+# EVOLUTIONS
+# ==========
+#
+# ++ option bavarde
+#
+# ++ machine dependant
+#
+# ++ besoin de posix
+#
+# ++ pas de MANPATH defini par défaut sur zeus
+#
+# ++ climserv
+#
+# $Id$
+#
+# - fplod 2008-08-14T12:28:16Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#  * move all \*.sh and \*.pro files to src/
+#
+# - fplod 2008-07-21T10:58:47Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#   * creation
+#
+#-
+system=$(uname)
+case "${system}" in
+ AIX|IRIX64)
+  echo " www : no specific posix checking"
+ ;;
+ *)
+  set -o posix
+ ;;
+esac
+#
+# as this script might be launch in .profile, command is forced.
+command=ircaam_profile.sh
+#
+usage=" Usage : ${command} -d directory -i indir -o outdir -t tempdir"
+#
+while [ ! -z "${1}" ] # ++ pb bash
+do
+ case ${1} in
+ -d) # directory for application choosen by user (see svn checkout command used)
+  directory=${2}
+  shift
+ ;;
+ -i) # directory for inputs choosen by user
+  indir=${2}
+  shift
+ ;;
+ -o) # directory for outputs choosen by user
+  outdir=${2}
+  shift
+ ;;
+ -t) # directory for temporary outputs choosen by user
+  tempdir=${2}
+  shift
+ ;;
+ *) # other choice
+  echo "${usage}"
+  # nb : no exit because this file should be launched by login process
+ ;;
+ esac
+ shift # next flag
+done
+#
+# check for ${directory}
+if [ ! -d ${directory} ]
+then
+ echo " eee : ${directory} not found"
+ # nb : no exit because this file should be launched by login process
+fi
+#
+# check for permission on directory
+if [ ! -x ${directory} ]
+then
+ echo " eee : ${directory} not reachable"
+ # nb : no exit because this file should be launched by login process
+fi
+#
+set -u
+system=$(uname)
+case "${system}" in
+IRIX64)
+  echo " www : no specific posix checking"
+;;
+*)
+  set -o posix
+;;
+esac
+#
+IRCAAM=${directory}
+export IRCAAM
+#
+# add IRCAAM tools to PATH
+# if not already done
+echo ${PATH} | grep -q ${IRCAAM}
+test_path=${?}
+if [ ${test_path} -ne 0 ]
+then
+   PATH=${IRCAAM}/:${PATH}
+   export PATH
+else
+   # option bavarde oui/non pas encore implantée ++
+   echo "${command} : iii : ${IRCAAM}/ already in \${PATH}"
+fi
+#
+# add IRCAAM manuals to MANPATH
+# if not already done
+echo ${MANPATH} | grep -q ${IRCAAM}
+test_manpath=${?}
+if [ ${test_manpath} -ne 0 ]
+then
+   MANPATH=${IRCAAM}/man/:${MANPATH}
+   export MANPATH
+else
+   # option bavarde oui/non pas encore implantée ++
+   echo "${command} : iii : ${IRCAAM}/man/ already in \${MANPATH}"
+fi
+#
+PROJECT_LOG=${tempdir}
+export PROJECT_LOG
+if [ ! -d ${PROJECT_LOG} ] 
+then
+  mkdir -p ${PROJECT_LOG}
+  echo "${command} : iii : creation of \${PROJECT_LOG}"
+fi 
+# check for permission on PROJECT_LOG
+if [ ! -x ${PROJECT_LOG} ]
+then
+ echo " eee : ${PROJECT_LOG} not reachable"
+ # nb : no exit because this file should be launched by login process
+fi
+#
+# check for permission on PROJECT_LOG
+if [ ! -w ${PROJECT_LOG} ]
+then
+ echo " eee : ${PROJECT_LOG} not writable"
+ # nb : no exit because this file shouldreachable be launched by login process
+fi
+#
+EDITOR=vi
+export EDITOR
+#
+# io directories
+IRCAAM_ID=${indir}
+export IRCAAM_ID
+if [ ! -d ${IRCAAM_ID} ] 
+then
+  mkdir -p ${IRCAAM_ID}
+  echo "${command} : iii : creation of \${IRCAAM_ID}"
+fi 
+# check for permission on IRCAAM_ID
+if [ ! -x ${IRCAAM_ID} ]
+then
+ echo " eee : ${IRCAAM_ID} not reachable"
+ # nb : no exit because this file should be launched by login process
+fi
+#
+IRCAAM_OD=${outdir}
+export IRCAAM_OD
+if [ ! -d ${IRCAAM_OD} ]
+then
+  mkdir -p ${IRCAAM_OD}
+  echo "${command} : iii : creation of \${IRCAAM_OD}"
+fi
+# check for permission on IRCAAM_OD
+if [ ! -x ${IRCAAM_OD} ]
+then
+ echo " eee : ${IRCAAM_OD} not reachable"
+ # nb : no exit because this file should be launched by login process
+fi
+if [ ! -w ${IRCAAM_OD} ]
+then
+ echo " eee : ${IRCAAM_OD} not writable"
+ # nb : no exit because this file should be launched by login process
+fi
+#
+# end
+# nb : no exit because this file should be launched by login process
Index: /trunk/src/plogd.sh
===================================================================
--- /trunk/src/plogd.sh	(revision 3)
+++ /trunk/src/plogd.sh	(revision 3)
@@ -0,0 +1,114 @@
+#! /bin/sh
+#
+#+
+#
+# NAME
+# ====
+#
+# plogd.sh - prints the most recent release of ${IRCAAM_LOG}/action.log.AAAA-MM-JJTHH:MM:SSZ
+#
+# SYNOPSIS
+# ========
+#
+# ::
+#
+#  $ plogd.sh action
+#
+#
+# DESCRIPTION
+# ===========
+#
+# ``plogd.sh`` prints the most recent release of ${IRCAAM_LOG}/action.log.YYYY-MM-DDTHH:MM:SSZ.
+#
+#
+# It uses a2ps application.
+#
+# Print is one on the default printer.
+#
+# SEE ALSO
+# ========
+# 
+# ircaam_profile.sh_
+# 
+# .. _ircaam_profile.sh : ircaam_profile.sh.html
+#
+# dlogd.sh_
+# 
+# .. _dlogd.sh : dlogd.sh.html
+#
+# elogd.sh_
+# 
+# .. _elogd.sh : elogd.sh.html
+#
+# tlogd.sh_
+# 
+# .. _tlogd.sh : tlogd.sh.html
+#
+# FILES
+# =====
+#
+# original location
+# ~~~~~~~~~~~~~~~~~
+#
+# /usr/home/fplod/incas/ircaam/ircaam_ws/src/plogd.sh sur cerbere.locean-ipsl.upmc.fr
+#
+# EVOLUTIONS
+# ==========
+#
+# $Id$
+#
+# - fplod 2006-02-20T16:15:35Z aedon.lodyc.jussieu.fr (Darwin)
+#
+#   * posix
+#
+#-
+#
+set -u
+system=$(uname)
+case "${system}" in
+AIX|IRIX64)
+  echo " www : no specific posix checking"
+;;
+*)
+  set -o posix
+;;
+esac
+#
+command=$(basename ${0})
+#
+if [ "${1}" = "" ]
+then
+ echo "${command} : eee : 1st parameter missing" >&2
+ exit 1
+fi
+# test if a2ps available
+tool=a2ps
+type ${tool} 1> /dev/null 2>&1
+status=${?}
+if [ ${status} -ne 0 ]
+then
+ echo "${command} : eee : ${tool} unavailable" >&2
+ exit 4
+fi
+unset tool
+unset status
+#
+systeme=`uname`
+#
+log=$(find ${IRCAAM_LOG} -name "${1}.log.????-??-??T??:??:??Z" | sort | \
+tail -n 1)
+tmp=${?}
+if [ ${tmp} -eq 0 ]
+then
+ if [ "${log}" = "" ]
+ then
+  echo "${command} : eee : no release of ${IRCAAM_LOG}/${1}.log" >&2
+  exit 1
+ else
+  # printing 
+  a2ps --print-anyway=1 ${log}
+  exit 0
+ fi
+else
+ exit 1
+fi
Index: /trunk/src/tlogd.sh
===================================================================
--- /trunk/src/tlogd.sh	(revision 3)
+++ /trunk/src/tlogd.sh	(revision 3)
@@ -0,0 +1,125 @@
+#! /bin/sh
+#
+#+
+#
+# NAME
+# ====
+#
+# tlogd.sh -  shows the most recent release of ${IRCAAM_LOG}/<action>.log.YYYY-MM-DDTHH:MM:SSZ
+#
+# SYNOPSIS
+# ========
+#
+# ::
+#
+#  $ tlogd.sh action
+#
+#
+# DESCRIPTION
+# ===========
+#
+# ``tlogd.sh`` shows the most recent release of ${IRCAAM_LOG}/action.log.YYYY-MM-DDTHH:MM:SSZ.
+#
+#
+# SEE ALSO
+# ========
+# 
+# ircaam_profile.sh_
+# 
+# .. _ircaam_profile.sh : ircaam_profile.sh.html
+#
+# dlogd.sh_
+# 
+# .. _dlogd.sh : dlogd.sh.html
+#
+# elogd.sh_
+# 
+# .. _elogd.sh : elogd.sh.html
+#
+# plogd.sh_
+# 
+# .. _plogd.sh : plogd.sh.html
+#
+#
+# FILES
+# =====
+#
+# original location
+# ~~~~~~~~~~~~~~~~~
+#
+# /usr/home/fplod/incas/ircaam/ircaam_ws/src/tlogd.sh sur cerbere.locean-ipsl.upmc.fr
+#
+# EVOLUTIONS
+# ==========
+#
+# $Id$
+#
+# - fplod 2008-11-26T10:13:13Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#   * replace PROJECT_LOG by IRCAAM_LOG
+#
+# - fplod 2008-03-18T09:15:57Z ajax.locean-ipsl.upmc.fr (Linux)
+#
+#   * replace FORVAN_LOG by PROJECT_LOG
+#
+# - fplod 2006-02-20T16:08:33Z aedon.lodyc.jussieu.fr (Darwin)
+#
+#   * posix
+#
+#-
+#
+set -u
+system=$(uname)
+case "${system}" in
+AIX|IRIX64)
+  echo " www : no specific posix checking"
+;;
+*)
+  set -o posix
+;;
+esac
+#
+command=$(basename ${0})
+#
+if [ "${1}" = "" ]
+then
+ echo "${command} : eee : 1st parameter missing" >&2
+ exit 1
+fi
+# check for ${IRCAAM_LOG} definition
+if [ "${IRCAAM_LOG}" = "" ]
+then
+ echo " eee : \${IRCAAM_LOG} not defined"
+ exit 1
+fi
+#
+# check for ${IRCAAM_LOG} existence
+if [ ! -d ${IRCAAM_LOG} ]
+then
+ echo " eee : ${IRCAAM_LOG} not found"
+ exit 1
+fi
+#
+# check for permission access on IRCAAM_LOG
+if [ ! -x ${IRCAAM_LOG} ]
+then
+ echo " eee : ${IRCAAM_LOG} not reachable"
+ exit 1
+fi
+#
+log=$(find ${IRCAAM_LOG} -name "${1}.log.????-??-??T??:??:??Z" 2> /dev/null | sort | \
+tail -n 1)
+tmp=${?}
+if [ ${tmp} -eq 0 ]
+then
+ if [ "${log}" = "" ]
+ then
+  echo "${command} : eee : no release of ${IRCAAM_LOG}/${1}.log" >&2
+  exit 1
+ else
+  more ${log}
+  exit 0
+ fi
+else
+ exit 1
+fi
